summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon Bergli Heier <snakebite@jvnv.net>2010-03-28 20:41:13 +0200
committerJon Bergli Heier <snakebite@jvnv.net>2010-03-28 20:41:13 +0200
commit2648dbd11e3062f3935ce43f4537c23fdf5a49a1 (patch)
tree8dda49b431cb1cee4b8f5ec1b05ad0708a867861
parent10db2a9eb7ceb73d807d9fbe770342dfaab515d0 (diff)
Added libtorrent and rtorrent with ipv6 patches.
-rw-r--r--libtorrent-ipv6/PKGBUILD30
-rw-r--r--rtorrent-ipv6/PKGBUILD30
2 files changed, 60 insertions, 0 deletions
diff --git a/libtorrent-ipv6/PKGBUILD b/libtorrent-ipv6/PKGBUILD
new file mode 100644
index 0000000..1cfaf0b
--- /dev/null
+++ b/libtorrent-ipv6/PKGBUILD
@@ -0,0 +1,30 @@
+# Contributor: Jon Bergli Heier <snakebite@jvnv.net>
+# Based on the official PKGBUILD
+
+pkgname=libtorrent-ipv6
+pkgver=0.12.6
+pkgrel=1
+pkgdesc="BitTorrent library written in C++"
+arch=('i686' 'x86_64')
+url="http://libtorrent.rakshasa.no"
+license=('GPL')
+depends=('libsigc++2.0' 'openssl')
+options=('!libtool')
+provides=('libtorrent=0.12.6')
+source=(http://libtorrent.rakshasa.no/downloads/libtorrent-$pkgver.tar.gz
+http://home.samfundet.no/~sesse/libtorrent-0.12.6-ipv6-06.patch)
+md5sums=('037499ed708aaf72988cee60e5a8d96b'
+'a1e2cd1fc64ff04f14eb1bcdfd2af19b')
+
+build() {
+ cd "$srcdir/libtorrent-$pkgver"
+
+ patch -p1 < $srcdir/libtorrent-0.12.6-ipv6-06.patch
+
+ CXXFLAGS="$CXXFLAGS -fno-strict-aliasing" \
+ ./configure --prefix=/usr --disable-debug --enable-ipv6 || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/rtorrent-ipv6/PKGBUILD b/rtorrent-ipv6/PKGBUILD
new file mode 100644
index 0000000..239cc1f
--- /dev/null
+++ b/rtorrent-ipv6/PKGBUILD
@@ -0,0 +1,30 @@
+# Contributor: Jon Bergli Heier <snakebite@jvnv.net>
+# Based on the official PKGBUILD
+
+pkgname=rtorrent-ipv6
+pkgver=0.8.6
+pkgrel=1
+pkgdesc="Ncurses BitTorrent client based on libTorrent"
+arch=('i686' 'x86_64')
+url="http://libtorrent.rakshasa.no"
+license=('GPL')
+depends=('libtorrent=0.12.6' 'curl>=7.14.3' 'xmlrpc-c>=1858')
+provides=('rtorrent')
+source=(http://libtorrent.rakshasa.no/downloads/rtorrent-$pkgver.tar.gz
+http://home.samfundet.no/~sesse/rtorrent-0.8.6-ipv6-06.patch)
+md5sums=('b804c45c01c40312926bcea6b55bb084'
+'7c56334795ab69c6b8af35650c2600ff')
+
+build() {
+ cd "$srcdir/rtorrent-$pkgver"
+
+ patch -p1 < rtorrent-0.8.6-ipv6-06.patch
+
+ CXXFLAGS="$CXXFLAGS -fno-strict-aliasing" \
+ ./configure --prefix=/usr --disable-debug --with-xmlrpc-c --enable-ipv6 || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+
+# vim:set ts=2 sw=2 et: